PBXExtens
Delete your Cloud PBX exten
This endpoint allows you to delete your Cloud PBX extens and its configurations. To identify exten, this endpoint requires PBX subscription id and exten unique id.
The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer.
The exten unique id can be retrieved from GET /api/v1/pbx/subscriptions/{pbx_id}/extens, which returns the list of extens in the given Cloud PBX.
Path Parameters
id*integer
PBX subscription id
Range
1 <= valueexten_id*integer
Exten id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/extens/1" \ -H "Authorization: string"{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}